View Issue Details

IDProjectCategoryView StatusLast Update
0001448MantisDroid[All Projects] Defectpublic2019-07-16 22:53
Reportere7andy Assigned Toe7andy  
PriorityurgentSeverityblockReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Versionnext releaseFixed in Version2.8 
Summary0001448: File download fails
DescriptionFile downloads not working.

Permission problem?
When I try to download a file I get /storage/emulated/0/Download/[filename] (Permission denied)
TagsNo tags attached.

Activities

e7andy

2019-01-18 15:10

administrator  

wtplogosmall.jpg (16,252 bytes)
wtplogosmall.jpg (16,252 bytes)

e7andy

2019-01-18 15:24

administrator   ~0000312

I just realised that you can manually allow the storage permission for the app to get it to work right away without a new release.
Exactly how you enable that permission differs from device to device.
This is how you do it on my phone (Huawei P10 Plus):
Settings->Apps & notifications->Apps->MantisDroid->Permissions. Enable Storage.
Now you can download and upload files. There is another bug in the Open Attachment dialog that makes if to fail to open that downloaded file. The downloaded file is located in your Downloads folder in your device.

e7andy

2019-01-18 15:38

administrator   ~0000314

Add the permission request to HandleAttachmentDialogFragment.java:
https://github.com/e7andy/mantisdroid/blob/master/legacy-android-studio/mantisdroidlibrary/src/main/java/se/nextsource/android/mantisdroid/lib/gui/issue/attachment/HandleAttachmentDialogFragment.java

Issue History

Date Modified Username Field Change
2019-01-16 13:34 e7andy New Issue
2019-01-16 13:34 e7andy Status new => assigned
2019-01-16 13:34 e7andy Assigned To => e7andy
2019-01-16 13:34 e7andy Issue generated from: 0001409
2019-01-16 13:34 e7andy File Added: 2019.jpg
2019-01-16 13:36 e7andy Description Updated View Revisions
2019-01-16 13:37 e7andy File Deleted: 2019.jpg
2019-01-18 15:10 e7andy File Added: wtplogosmall.jpg
2019-01-18 15:24 e7andy Note Added: 0000312
2019-01-18 15:31 e7andy Target Version => next release
2019-01-18 15:38 e7andy Note Added: 0000314
2019-01-18 15:40 e7andy File Added: Screenshot_20190114-083625.jpg
2019-01-18 15:40 e7andy File Deleted: Screenshot_20190114-083625.jpg
2019-07-16 22:53 e7andy Status assigned => resolved
2019-07-16 22:53 e7andy Resolution open => fixed
2019-07-16 22:53 e7andy Fixed in Version => 2.8